Your browser version is outdated. We recommend that you update your browser to the latest version.

REQUIREMENTS


In order to participate in all our courses you must have a good command of English (not less than IELTS 5.5). Please check the special requirements for particular courses.